<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Quick guide to Bstrain plotter &mdash; bstrain  documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="_static/mystnb.4510f1fc1dee50b3e5859aac5469c37c29e427902b24a333a5f9fcb2f0b3ac41.css?v=be8a1c11" />
      <link rel="stylesheet" type="text/css" href="_static/copybutton.css?v=76b2166b" />

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=5929fcd5"></script>
        <script src="_static/doctools.js?v=9a2dae69"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
        <script src="_static/clipboard.min.js?v=a7894cd8"></script>
        <script src="_static/copybutton.js?v=f281be69"></script>
        <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="How to use" href="howto.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            bstrain
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Bstrain code</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="about.html">About Bstrain</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Install Bstrain</a></li>
<li class="toctree-l1"><a class="reference internal" href="howto.html">How to use</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Bstrain Plotter</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Quick guide to Bstrain plotter</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#get-map-views">Get map views</a></li>
<li class="toctree-l2"><a class="reference internal" href="#get-pixel-details">Get pixel details</a></li>
<li class="toctree-l2"><a class="reference internal" href="#build-profiles">Build profiles</a></li>
<li class="toctree-l2"><a class="reference internal" href="#plot-principal-directions">Plot principal directions</a></li>
<li class="toctree-l2"><a class="reference internal" href="#units-and-conventions">Units and conventions</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">bstrain</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Quick guide to Bstrain plotter</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/plotter.md.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="quick-guide-to-bstrain-plotter">
<h1>Quick guide to Bstrain plotter<a class="headerlink" href="#quick-guide-to-bstrain-plotter" title="Link to this heading"></a></h1>
<p>The BstrainPlotter is an online tool hosted by OSUL <a class="reference external" href="https://bstrainplotter.univ-lyon1.fr/">https://bstrainplotter.univ-lyon1.fr/</a> to visualize and explore 3D cubes containing the probability density functions associated with strain rate tensors.</p>
<p>We provide vizualisation for strain rates computed with Bstrain over California (<a class="reference external" href="https://doi.org/10.1029/2021JB021905">Pagani et al. 2021</a>), Balkans and metropolitan France (unpublished). The service allows for plotting of average, median, or maximal probability mode of second invariant, divergence and vorticity of the strain rate tensor, together with principal directions and interpolated East and North velocities.</p>
<p>You can explore the Californian results. You can play along with results shown for France and Balkans but they are undocumented and still preliminary.</p>
<section id="get-map-views">
<h2>Get map views<a class="headerlink" href="#get-map-views" title="Link to this heading"></a></h2>
<p>Click on the “start exploring” button on the welcome page. You end up with an empty planisphere centered on Congo.</p>
<p><img alt="image info" src="_images/welcome.png" /></p>
<p>In the scrolling menus, you can choose between</p>
<p>3 geographical zones :</p>
<ul class="simple">
<li><p>California,</p></li>
<li><p>metropolitan France,</p></li>
<li><p>Balkans</p></li>
</ul>
<p>5 parameters :</p>
<ul class="simple">
<li><p>Divergence, given by <span class="math notranslate nohighlight">\(d=tr(\mathbf{\dot\epsilon})=\dot\epsilon_{xx}+\dot\epsilon_{yy}\)</span>.</p></li>
<li><p>Rotational, given by <span class="math notranslate nohighlight">\(\omega=\frac{1}{2}(\partial_yv_x - \partial_xv_y)\)</span></p></li>
<li><p>Invariant, i.e. one definition of the second invariant of the strain rate tensor, given by <span class="math notranslate nohighlight">\(I_2=\sqrt{\dot\epsilon_{xx}^2+\dot\epsilon_{yy}^2+2\dot\epsilon_{xy}^2}\)</span></p></li>
<li><p>East Velocity</p></li>
<li><p>North Velocity</p></li>
</ul>
<p>3 indicators :</p>
<ul class="simple">
<li><p>the average of the PDF,</p></li>
<li><p>the median of the PDF,</p></li>
<li><p>the maximum mode of the PDF</p></li>
</ul>
<p>Let’s have a look at the median of the second invariant over California.</p>
<p><img alt="image info" src="_images/I2calif.png" /></p>
<p>You can play with the color bar at the bottom. By default, the map is masked based on a threshold value that you can also adjust. It is based on the standard deviation of the horizontal velocity for each pixel (in mm/yr) : the largest, the less resolved the inversion is.</p>
<p>By clicking on the printer icon on the upper left corner of the map, you will automatically download a png view of the map together with the associated geotiff. The second band of the geotiff is the mask value described above.</p>
</section>
<section id="get-pixel-details">
<h2>Get pixel details<a class="headerlink" href="#get-pixel-details" title="Link to this heading"></a></h2>
<p>You can place the blue mark on the map on the pixel you are interested in and ask for a plot of the full PDF by clicking on “Plot Probability Density Function” blue button. The exact coordinates of the marker are updated on the left. The plot appears on the right and is not interactive so far. It shows the full PDF as an histogram with vertical lines standing for the average, median and maximum mode. This is useful to assess the gaussian shape and symmetry of the PDF. The graph can be downloaded as png, pdf, or directly in csv for future use.</p>
<p><img alt="image info" src="_images/PDF.png" /></p>
<p>The “Plot Windrose” button will show the PDF of the principal directions of the strain rate tensor, using the windrose representation proposed by Pagani et al. 2021. By default, blue will stand for extension, and red for compression. The length of the bar are proportionnal to the strain rate value, while the intensity of the color stands for the normalized probability (dark red/blue is ~100%). Black bars are the average principal directions.</p>
<p><img alt="image info" src="_images/windrose.png" /></p>
</section>
<section id="build-profiles">
<h2>Build profiles<a class="headerlink" href="#build-profiles" title="Link to this heading"></a></h2>
<p>By checking “Segment” on the left menu, you can place 2 blue markers on the maps that will materialize a profile line along which calculations will be made. The coordinates of both points can be manually adjusted on the left. Clicking the “Plot Cross Section Simple” button will show the value of the choosen parameter (I2 in our example) against distance along the profile. Median, Average and Maximum mode are plotted only. You can adjust the vertical scale with “Adjust Y value” on the left and recompile. The graph can be downloaded in png, pdf or csv.</p>
<p>If the cross section is of interest, you can ask for a full view of the PDF by clicking the “Plot Cross Section Full” button, but carefull <em>this may be time consuming</em> depending on the cube size. The full cross section shows the normalized PDF color-coded along the profile and can also be downladed. In our example, we see three zones of high I2 corresponding the the San Andreas fault picking at more than 300 nstrain/yr, the Walker Lane at around 0.45 nstrain/yr and the Wasatch mountain range around 0.1 nstrain/yr.</p>
<p><img alt="image info" src="_images/profcalif.png" /></p>
</section>
<section id="plot-principal-directions">
<h2>Plot principal directions<a class="headerlink" href="#plot-principal-directions" title="Link to this heading"></a></h2>
<p>This is the less advanced option of this plotter… But if you absolutely want to have a look at the principal directions of the strain rate tensor in map view, please use the last section of the menu on the left. You can adjust the scale of the arrows (scale) and the density of the grid you want (Step). This will compute a map of average principal directions that may be difficult to read. However, you can download the grid as a csv and make proper maps at home using your favorite plotter.</p>
<p><img alt="image info" src="_images/princdir.png" /></p>
</section>
<section id="units-and-conventions">
<h2>Units and conventions<a class="headerlink" href="#units-and-conventions" title="Link to this heading"></a></h2>
<ul class="simple">
<li><p>Velocities are expressed in mm/yr, while invariants of the strain rate tensors and the rotational are given in nstrain/yr.</p></li>
<li><p>In the plotter, negative divergence stands for shortening and will appear red, while extension is positive and blue.</p></li>
<li><p>Negative rotation stands for a clockwise rotation and appears red, while positive rotation is anticlockwise and blue.</p></li>
</ul>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="howto.html" class="btn btn-neutral float-left" title="How to use" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, mmetois.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>